Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!

Try Vanilla Forums Cloud product

In this Discussion

Please upgrade to 2.3 here. The 2.2 and earlier branches are no longer being updated.

[2.2] Installer wizard appears when commenting on posts after upgrade

I have run the installer wizard, and I have ran all the Utility Update, DB Structure Upgrade
DB Update Counts. Debug set to true - my forum won't really work without debug now. I get 500 errors left and right, on signout, enterring dashboard.

This happens when I comment on posts in my forum after my 2.2 upgrade.

It's very serious. After backing up everything. I tried to run the wizard and fill in the details, and what it did was to trunctate all the tables in my database. I was hoping it would tick a box somewhere that the forum was indeed installed, but what this wizard does is brutal. I have backups and can roll back to 2.1.x, but I would like to try and just fix this since running on 2.1 now is not advisable as I've understood from posts here.

Comments

  • peregrineperegrine MVP
    edited November 2015

    had you deleted .ini files from cache.

    wild guess: perhaps you also need to remove the files from the Smarty/compile folder

    what version of php do you use? are you by chance running 5.3? I moticed a bug with 5.3.

    what os are you using.

    edit: I see what you mean, its is as if it couldn't find config.php to know not to re-install

    was it readable and was folder readable and writeable,

    you could see if its plugin or application related by disabling them first then re-enabling one at a time.

    the other thing is test with default theme,

    and sometimes running things with debug on - make things even worse. regarding enabling plugins as well as posting.

    best to turn off debugging on live site , unless you get a blank screen or fatal error, then display errors if necessary

    verify your .htaccess is ok. that can create 500 errors as well.

    a bit of a catch 22.

    I have backups and can roll back to 2.1.x, but I would like to try and just fix this since running on 2.1 now is not advisable as I've understood from posts here.

    probably ok until the next 2.2 release patch.

    the readme in vanilla 2.2 says

    Cloning to your production site? Checkout the 2.1 branch! It's our vetted stable release.

    you might want to try troubleshooting steps in FAQ and re-install - no plugins and default theme and go from there and slowly add things.

    I may not provide the completed solution you might desire, but I do try to provide honest suggestions to help you solve your issue.

  • peregrineperegrine MVP
    edited November 2015

    if you have time to reread above comment and answer questions. I edited it.

    aside from suggestions above if you feel like answering questions posed above.

    http://vanillaforums.org/discussion/comment/233540/#Comment_233540

    if you are using apache

    http://vanillaforums.org/discussion/comment/220157/#Comment_220157

    did you change or upgrade php just prior to your upgrade?

    unixherso said: my forum won't really work without debug now

    how would debug help it run, just curious.

    I may not provide the completed solution you might desire, but I do try to provide honest suggestions to help you solve your issue.

Sign In or Register to comment.